@echo off
if "%1" == "" goto usage
if "%1" == "all" %0 large lite tw_lite pk_lite tp_lite

:loop
if "%1" == "" goto done
goto %1

:large
if not exist large\obj\nul make -DBUILD=Large dirs
make -DBUILD=Large -DOPT_SIZE
goto next

:lite
if not exist lite\obj\nul make -DBUILD=Lite dirs
make -DBUILD=Lite
goto next

:tw_lite
REM  Copy TEXTWIND.C to the SRC_TMP directory if not already there
if exist SRC_TMP\TEXTWIND.C goto tw_lite2
if not exist SRC_TMP\nul mkdir SRC_TMP
copy TEXTWIND.C SRC_TMP\TEXTWIND.C
if not exist SRC_TMP\TEXTWIND.C goto copyfail
:tw_lite2
if not exist tw_lite\obj\nul make -DBUILD=TW_Lite dirs
make -DBUILD=TW_Lite -DTEXTWIN -DSRCDIR=src_tmp bccflags.cfg Tw_Lite\obj\textwind.obj
if exist bccflags.cfg del bccflags.cfg
make -DBUILD=TW_Lite -DTEXTWIN
goto next

:pk_lite
if not exist pk_lite\obj\nul make -DBUILD=PK_Lite dirs
make -DBUILD=PK_Lite
goto next

:tp_lite
if not exist tp_lite\obj\nul make -DBUILD=TP_Lite dirs
make -DBUILD=TP_Lite -DTEXTWIN
goto next

:next
shift
goto loop

:copyfail
echo Couldn't copy TEXTWIND.C to SRC_TMP\TEXTWIND.C: can't do tw_lite build!
goto done

:usage
echo usage: %0 job ...
echo.
echo Possible jobs:
echo.
echo.	large		Makes the Large version (with dirs if reqd)
echo.	lite		Makes the Lite version (with dirs if reqd)
echo.	tw_lite		Makes the TW_Lite version (with dirs if reqd)
echo.	pk_lite		Makes the PK_Lite version (with dirs if reqd)
echo.	tp_lite		Makes the TP_Lite version (with dirs if reqd)
echo.	all		All of the above
echo.
echo Ensure that your PATH etc. are set up for BC++ 3.1 first.
goto done

:done
echo.
